花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买!

我会详细的从一个LayUI使用者切换到VUE使用者的角度,深度的讲讲我这两个月的使用体验,并且最终告知您,这个Fantastic-admin专业版,不值得购买!

背景

此前自己做些项目,用的是LayUI,也购买了LayUIAdmin作为支持,实际上从购买至今,并没有就LayUIAdmin提交过任何售后问题,当然他们是都专区可以进行售后问题提交。

但后来因为LayUI的退市,虽然官方在几个月后重新构建,但整体环境已经变了,不得不转向更多人使用的VUE。

选择

在开源市场一番搜索之后,最后选择了两款star比较多的作为比较,当然,因为刚探索VUE,所以对整个市场有哪些成熟的面板,是完全不了解的。

当时我在两个面板之后做了比较,分别是Vue Admin Plus和本文要说的Fantastic-admin

两个的演示地址分别是:

Vue Admin Plus https://vue-admin-beautiful.com/admin-plus/#/index

Fantastic-admin https://hooray.gitee.io/fantastic-admin-pro-example/#/dashboard

至于最终为什么选了Fantastic-admin,真的忘了。但从今天的角度来说,Fantastic-admin在美观性上是不如Vue Admin Plus的。

为什么不值得购买

文档不健全

事实上,一个程序对应的文档如果成熟的话,就能大大减少双方的时间,无论是购买者还是消费者。

Fantastic-admin的文档地址是:https://hooray.gitee.io/fantastic-admin/guide/ready.html

文档通篇阅读要不了几分钟,也就意味着文档所述的内容极少,并且是没有搜索功能的。

这就意味着,不少问题只能通过咨询的方式进行。

产品不成熟

作者对TS不熟悉,所以Fantastic-admin原则上是以JavaScript为主的。

从其他角度来说,看看别人的产品已经是完成的生态,有很多分支,有很多功能,而Fantastic-admin不光功能少,进步也是缓慢。

升级不兼容

我并不是一个一味追求最新的人,只希望能正常运行即可。奈何我两个月前购买并拉取的版本,并不能正常运行,无法生成PWA等问题显著。

这种情况下,求助作者无果,只能拉取最新的版本,但是最新的版本连目录结构都发生了变化,无缝升级自然是不可能。

无法获取最新版

此前的专业版私有项目是在gitlab上的,但是后来转到了GitHub,最早之前是通过邮件发送最新版(可想而知)。

那么,你用着用着,发现Gitlab项目被删除了……

还得找作者,作者也不是马上回应你,所以你需要等,等你能进入GitHub才能访问到新的。

新版本不稳定

是否意味着,访问最新版就没问题了呢?

绝对不是!Fantastic-admin有着各种各样的问题。

就好比昨天我拉取了最新版,安装依赖之后运行,发现提示Uncaught SyntaxError: Unexpected reserved word,无法运行。

这个问题我咨询了一天,作者没有给出答复。

随后,我自行搜索很多资料后,发现可能是浏览器问题。升级chrome浏览器到最新版后,才得以正常运行。

如果开发环境对浏览器有这样的要求,打包部署后的呢?所以我担心打包后的问题,就尝试进行打包,结果打包也无法进行。

再次拉取最新版,什么都没有做,先打包试试。发现打包后对浏览器就没有如此要求了。

但,又存在另一个问题,PWA无法生成,所有环节都按照作者文档所说进行了对应修改,最终也没能成功。

在没有动任何其他代码的前提下,甚至本地开发环境都无法进行了,如下图所示。

花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买!

一个新拉取的代码,这不行,那不行,真让人困惑。但可以肯定的是,不是我不行,因为我还没有开始写任何代码。

售后不行

这是最最重要的因素,是我极力劝阻你购买Fantastic-admin的最重要原因。

这套代码无非就是VUE+Element UI以及一些组件的融合,你自己只要时间充裕,你也能写一个八九不离十的出来,一套VUE教程看下来,相信你能大致明白。

作者水平也是不好说,自己说的是原话是:我也是刚接触TS。

沟通的渠道也非常单一,微信+微信群。

微信就是作者,放心,他一天都可能不会回复你。

微信群,可能人比较多,碍于影响,可能4个小时左右能回复你吧,或者直接完全忽略。

有图有真相:

花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买!

花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买!

昨天拉取的最新版,什么都没有动,就是按文档设置了PWA,无非就是取消了某些引用的注释变为引用,就导致本地无法运行,这样的问题,应该是迫切的,急需解决的。

这可不是我开发到一半,因为各种原因导致报错或者之类问题,是全新的代码,都在报错,是完完全全属于售后范围的内容。

那么,整整一天过去了,我居然幻想能回复告知我原因,但是,不可能的。

为什么重新拉取又可以了呢?是不是真的是我的操作不对!

不是的,我看了更新记录,是十多个小时之前,有了一次更新!

所以,这样的售后,你还会考虑吗?

看看群消息:

花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买! 花钱请个大爷,评Fantastic-admin专业版,极力不推荐购买!

从聊天记录就能看出来了。

我是不推荐您购买!

原创文章,作者:蓝洛水深,如若转载,请注明出处:https://blog.lanluo.cn/11408

(2)
上一篇 2022年8月12日 上午10:32
下一篇 2022年8月17日 下午10:31

发表回复

登录后才能评论